package com.steering.mes.mcp.coup;

import java.util.ArrayList;
import CoreFS.SA06.CoreReturnObject;
import com.steering.comm.db.DBCommon;

/**
 * 框号维护
 * @author TJG 2016-04-22
 */

public class FrmBoxMainTenance extends DBCommon {
    /**
     * @param parm 新增参数
     * @return 平台对象
     */
    public CoreReturnObject doAdd(ArrayList<Object> parm) {
        return this.setDataBySqlID("FrmBoxMainTenance.Add", parm.toArray());
    }

    /**
     * 查询数据
     * @param manage 所属部门
     * @param racktype 框号类型
     * @param isvalid 包含无效
     * @return 平台对象
     */
    public CoreReturnObject doQuery(String valfig) {
        Object[] obj = new Object[] {valfig };
        return this.getDataBySqlID("FrmBoxMainTenance.DoQuery", obj);
    }

    /**
     * 查询数据
     * @param manage 所属部门
     * @param racktype 框号类型
     * @param isvalid 包含无效
     * @return 平台对象
     */
    public CoreReturnObject doQuery(String manage, String racktype,
            Boolean isvalid) {
        String deletedFlag = isvalid ? "0" : "";
        Object[] obj = new Object[] { manage, manage, manage, racktype,
                deletedFlag };
        return this.getDataBySqlID("FrmBoxMainTenance.Query", obj);
    }

    /**
     * @param parm 修改参数
     * @return 平台对象
     */
    public CoreReturnObject doUpdate(ArrayList<Object> parm) {
        return this.setDataBySqlID("FrmBoxMainTenance.Update", parm.toArray());
    }

    /***
     * 加载所属单位
     * @return
     */
    public CoreReturnObject doQueryData(String flag)
    {
    	return this.getDataBySqlID("FrmBoxMainTenance.doQueryData",new Object[]{flag});
    }
    /**
     * 删除或恢复数据
     * @param rackno 框号号
     * @param name 操作人
     * @param flag 删除或恢复标志 true删除，false 恢复
     * @return 平台对象
     */
    public CoreReturnObject doDelete(String rackno, String name, Boolean flag) {
        if (flag) {
            return this.setDataBySqlID("FrmBoxMainTenance.Delete", new Object[] {
                    name, rackno });
        }
        else {
            return this.setDataBySqlID("FrmBoxMainTenance.Resume",
                    new Object[] { rackno });
        }
    }

    /***
     * 获取框号最新信息
     * @param rackNo
     * @return
     */
    public CoreReturnObject getReferRack(String rackNo)
    {
    	return this.getDataBySqlID("FrmBoxMainTenance.getReferRack",new Object[]{rackNo});
    }
    /***
     * 获取框号类型
     * @param rackNo
     * @return
     */
    public CoreReturnObject getRackType()
    {
        return this.getDataBySqlID("FrmBoxMainTenance.getRackType");
    }
}
